# $Revision: 1.3 $, $Date: 2002/09/27 13:26:13 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	RPM
%define	pnam	Perlonly
Summary:	RPM::Perlonly - a Perl only implementaion of a RPM header reader
Summary(pl):	RPM::Perlonly - czysto perlowa implementacja czytnika nagwkw RPM
Name:		perl-RPM-Perlonly
Version:	1.0.1
Release:	1
License:	LGPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl-RPM-Perlonly is a clone of RPM::Header written in only Perl, so
it provides a way to read a rpm package on systems where rpm is not
installed. Perl-RPM-Perlonly can used as a drop in replacement for
RPM::Header, if needed also the other way round.

%description -l pl
Modu RPM-Perlonly to klon RPM::Header napisany w samym Perlu, przez
co pozwala odczytywa pakiety rpm na systemach bez zainstalowanego
rpm-a. RPM-Perlonly moe by w razie potrzeby uywany jako zamiennik
RPM::Header.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-RPM-Perlonly.spec,v $
Revision 1.3  2002/09/27 13:26:13  ankry
- version 1.0.1, release 1

Revision 1.2  2002/08/14 23:39:39  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 10:00:08  radek
- new, STBR
